#include <armadillo>

typedef std::vector<double> stdvec;

void ind2sub(arma::uvec &indices, int m, int n, arma::uvec &subscripts1, arma::uvec &subscripts2);
void sub2ind(arma::uvec &subscripts1, arma::uvec &subscripts2, int m, int n, arma::uvec &indices);

stdvec arma_to_std_vec(arma::vec &arma_vec);
